mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇭🇰_HK_中国香港
    type: vmess
    server: 103.143.238.196
    port: 28384
    uuid: 1e1a6b3b-14b2-4ae4-9aa9-880ba5dff6fa
    alterId: 0
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: 103.143.238.196
    udp: true
  - name: 🇺🇸_US_美国->🇯🇵_JP_日本
    type: vless
    server: 69.84.182.13
    port: 443
    uuid: 33b83411-cf14-48af-8105-ff8370f7a3d5
    network: ws
    servername: jp1-jp1.aiopen.sbs
    tls: true
    ws-opts:
      path: /kbjc/jp1
      headers:
        Host: jp1-jp1.aiopen.sbs
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港_1
    type: vless
    server: 47.86.55.200
    port: 19321
    uuid: 394086c4-d8a4-4298-9b62-f70fa711082d
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.42
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.45
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国
    type: vless
    server: 151.101.2.219
    port: 80
    uuid: cabbfe13-038b-4dbb-9c45-5079c829abfa
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    client-fingerprint: chrome
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港_2
    type: vmess
    server: 47.244.120.197
    port: 36703
    uuid: 45b83519-9c4f-4052-a11b-02e017b636d4
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: ws
    ws-opts:
      path: /arki?ed=2048
    udp: true
  - name: 🇹🇼_TW_台湾
    type: vmess
    server: 103.127.243.54
    port: 53229
    uuid: 2f50f5ef-1a3a-4585-a3c9-3a860d37b134
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: http
    http-opts:
      path:
        - /ABCDE
    udp: true
  - name: 🇨🇳_CN_中国
    type: ss
    server: 61.171.92.202
    port: 1001
    cipher: aes-256-gcm
    password: "123"
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
    type: trojan
    server: 103.177.136.42
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇲🇾_MY_马来西亚->🇺🇸_US_美国
    type: vmess
    server: v4.hdacd.com
    port: 30804
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.45
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇩🇪_DE_德国
    type: vless
    server: 159.195.60.65
    port: 443
    uuid: c897facf-2836-4538-be6e-25386fb49284
    servername: free1.anotherboring.top
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: vTtRZ_FeFQoAigFr_pmVc_O85RaE9H8aVL0SitFYcmI
      short-id: 53cd45d26d7b53fe
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_1
    type: vless
    server: 151.101.130.219
    port: 80
    uuid: cabbfe13-038b-4dbb-9c45-5079c829abfa
    network: ws
    tls: false
    client-fingerprint: chrome
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_2
    type: vless
    server: speedtest.net
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    tls: false
    client-fingerprint: chrome
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
    type: trojan
    server: 103.177.136.45
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: nl08.abvpn.ru
    port: 443
    uuid: 95e118b4-4352-4218-8493-f20cc7fc467a
    network: ws
    servername: nl08.abvpn.ru
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /websocket
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_3
    type: trojan
    server: 103.177.136.42
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_3
    type: vless
    server: 151.101.194.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    tls: false
    client-fingerprint: chrome
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.45
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇭🇰_HK_中国香港_3
    type: vmess
    server: 103.143.238.196
    port: 21879
    uuid: 1e1a6b3b-14b2-4ae4-9aa9-880ba5dff6fa
    alterId: 0
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: 103.143.238.196
    network: ws
    ws-opts:
      path: /vmesswss
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇯🇵_JP_日本
      - 🇭🇰_HK_中国香港_1
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_2
      - 🇹🇼_TW_台湾
      - 🇨🇳_CN_中国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇲🇾_MY_马来西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_3
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港_3
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
